
// le nombre d'essais dans la partie courante
let  essais = 0;
// le nombre total d'essais de toutes les parties
let  nbEssais = 0;
// le nombre de paties jouées et terminées
let  nbParties = 0;
// indique si on est en train de jouer une partie
let  partieEnCours = true;
// le nombre à deviner
let  secret = generer();
// le nombre d'essais du meilleur jeu
// Number.MAX_SAFE_INTEGER est la plus grande valeur
// entière possible
let  meilleurJeu = Number.MAX_SAFE_INTEGER;

// vérifie la proposition de l'utilisateur et :
// - si la proposition est incorrecte, affiche la bonne
//   indication (trop petit ou trop grand)
// - sinon affiche le nombre d'essais qui ont été nécessaires
//   et mets à jour les statistiques
function verifier() {
    if(partieEnCours){
        let prop=document.querySelector("#proposition").value;
        essais++;
        if(prop < secret){
            afficher('Trop petit!', '#FF0000');
        }else if(prop > secret){
            afficher('Trop grand!', '#FF0000');
        }else{//fin de partie
            afficher('Parfait!', '#00FF00');
            nbParties++;
            meilleurJeu=essais<meilleurJeu?essais:meilleurJeu;
            nbEssais+=essais;
            partieEnCours=false;
            afficherStat();
        }
    }
}

// si 'encore' est vrai, démarre une nouvelle partie
// sinon termine le jeu en affichant le message adéquat
function jouerEncore( encore ) {
	if(encore){
        essais=0;
        secret=generer();
        partieEnCours=true;
        document.querySelector("#proposition").value="";
        afficher("C'est parti...", '#0000FF');
    }else{
        afficher("Fin du jeu.", '#0000FF');
    }
    document.querySelector("#question").style.visibility="hidden";
}

// affiche un message dans une couleur donnée
// dans l'élément prévu à cet effet
function afficher( message, couleur ) {
    document.querySelector("#message").innerHTML=message;
    document.querySelector("#message").style.color=couleur;
}

// met à jour les statistiques
function afficherStat() {
    document.querySelector("#nbParties").innerHTML=nbParties;
    document.querySelector("#nbMoyenEssais").innerHTML=nbEssais/nbParties;
    document.querySelector("#meilleurJeu").innerHTML=meilleurJeu;
    document.querySelector("#question").style.visibility="visible";
}

// retourne un nombre aléatoire dans l'intervalle [1, 100]
function generer() {
	return Math.round(Math.random()*100);
}
